From 6af17d52a0b6b986fc345778e09e858ec0b2da9c Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Thu, 24 Jan 2013 22:44:55 +0100
Subject: A user always needs a set login

--HG--
extra : source : e802a78fc3a855540995866aae11a54839d12926
---
 app/models/user.rb |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/app/models/user.rb b/app/models/user.rb
index 131b5d0..bbdfee3 100644
--- a/app/models/user.rb
+++ b/app/models/user.rb
@@ -441,7 +441,7 @@ class User < Principal
   def self.anonymous
     anonymous_user = AnonymousUser.find(:first)
     if anonymous_user.nil?
-      anonymous_user = AnonymousUser.create(:lastname => 'Anonymous', :firstname => '', :mail => '', :login => '', :status => 0)
+      anonymous_user = AnonymousUser.create(:lastname => 'Anonymous', :firstname => '', :mail => '', :status => 0)
       raise 'Unable to create the anonymous user.' if anonymous_user.new_record?
     end
     anonymous_user
-- 
1.7.1


